Bug 151754 - A "-" option in Exec entry of .desktop files confuses firefox/mozilla
A "-" option in Exec entry of .desktop files confuses firefox/mozilla
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
: 156506 (view as bug list)
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
Reported: 2005-03-21 18:49 EST by Robin Green
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-03 16:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robin Green 2005-03-21 18:49:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050308 Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
When I visited the URL above, firefox asked me if I wanted to save or open with [Browse button]. No option to open with OO.o Impress was given.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to URL above in firefox

Actual Results:  Open/save dialog appears, with no option to open with OO.o Impress.

Expected Results:  Dialog should offer "Open with OO.o Impress".

Additional info:

Comment 1 Robin Green 2005-03-21 18:49:52 EST
Sorry, that should say "URL below". I am used to the Mozilla bugzilla layout.
Comment 2 Caolan McNamara 2005-03-24 11:36:37 EST
caolanm->caillon: A "-" option in the Exec line of .desktop files break moz and
firefox. e.g. avoiding OOo, to reproduce


should open for us by default with gthumb because it's registered as a handler
for image/tiff in it's .desktop

Now change the Exec line for gthumb in its .desktop to Exec=gthumb --name=foobar
update-desktop-database and revisit the url and gthumb is no longer recognized
by moz/firefox as the tiff handler. nautilus has no such trouble launching
gthumb with the apropiate name xprop

The openoffice .desktop files e.g. impress.desktop contain a -impress, removing
it gives the right "open with" in moz/firefox. Though we want to retain that option.
Comment 3 Christopher Aillon 2005-05-01 09:59:12 EDT
*** Bug 156506 has been marked as a duplicate of this bug. ***
Comment 4 Kyrre Ness Sjøbæk 2005-05-01 16:47:32 EDT
I don't know if its related, but it kidof funny:
If i click a link to a svg in firefox, i get the "open with, or save" dialog.
Stadard program is firefox. Just for the sake of it, i hit "open", just to get
another open with/save and so it goes...
Comment 5 Warren Togami 2005-05-01 17:27:48 EDT
This causes .xls and .sxc to not have a file association, maybe others too...
Comment 6 Christopher Aillon 2005-05-03 16:15:35 EDT
Checked in
to rawhide.  Will push out builds soon with the fix.  (1.0.3-3)

Note You need to log in before you can comment on or make changes to this bug.